<?php
ob_start();
include_once('php/functions.php');
if(checkLogin()){echo "<script>setTimeout('window.location.href=\"insert_messages.php\"', 0000)</script>";}
@session_start();
if(isset($_SESSION['ekdhlos_username'])){	echo "<script>setTimeout('window.location.href=\"insert_messages.php\"', 0000)</script>";}
else{
if(isset($_GET['public_message'])){
	html_header('Αποστολή μηνύματος','public_message',"","public");
	$message = $no_message = $no_user=$light_yes = $msg = $user_name = null;
	$light_no = "checked";
	$devices_r = get('visibility','device','','','all');
	$groups_r = get_groups_by_user("public");
	if($devices_r || $groups_r){
		if(isset($_GET['step']) && $_GET['step']==1){
		echo'
		<br />
		<br />
			<ul id="tabs">
				<li id="current"><span>Νέο μήνυμα</span></li>';
			if(!empty($devices_r) && !empty($groups_r)){
				echo '<li><span>Αποστολή σε ομάδες ή συσκευές</span></li>';
				echo '<li><span>Επιλογή ομάδων ή συσκευών</span></li>';
			}
			else if(empty($devices_r) && !empty($groups_r)){
				echo '<li><span>Επιλογή δημοσίων ομάδων </span></li>';			
			}
			else if(!empty($devices_r) && empty($groups_r)){
				echo '<li><span>Επιλογή δημοσίων συσκευών </span></li>';			
			}
				
			echo '
			</ul>
			<div id="content">';
			if(isset($_POST['continue'])){
				$insert1=$insert2=false;
				$maxlength = max_length();
				$maxlength = (intval($maxlength)-16);
				$m = nl2br($_POST['message'], TRUE);
				$message = str_replace('<br />', '', $m);
				if(isset($_POST['date_activate']) && !empty($_POST['date_activate'])){
					if(check_date($_POST['date_activate'])==1){$insert3 = 1;$no_message = '';}
					else{$insert3 = 0;$no_date = '<h3 class="triangle-border left more_top">Λανθασμένη ημερομηνία!</h3>';}
					$date = clean($_POST['date_activate']);
				}
				else {$insert3 = 2;	$date = null;}				
				$user_name = clean($_POST['user_name']);			
				if($_POST['light'] == "yes") {$light_yes = "checked"; $light_no = "";}
				else if($_POST['light'] == "no") {$light_yes = ""; $light_no = "checked";}				
				if(!isset($_POST['message']) || empty($_POST['message'])) $no_message = '<h3 class="triangle-border left">Το μήνυμα απαιτείται!</h3>';
				// else if (preg_match("/[^A-Za-z0-9\\\/\'\(\)\=\<\>\+\-\_\,\!\?\;\:\.\!\' ']/", $_POST['message']))$no_message = '<h3 class="triangle-border left">Μη αποδεκτοί χαρακτήρες!</h3>';
				else if ((invalid_char($_POST['message'],'message') <> null)){$no_message = invalid_char($_POST['message'],'message');}
				else if(mb_strlen($message, 'UTF-8') >= $maxlength) $no_message = '<h3 class="triangle-border left more_top">Έχετε εισάγει '.mb_strlen($message, 'UTF-8').' χαρακτήρες!</h3>';
				else $insert1 = true;
				if (!isset($_POST['user_name']) || empty($_POST['user_name'])) $no_user = '<h3 class="triangle-border left more_top">Το όνομα απαιτείται!</h3>';		
				else if (preg_match("/[^A-Za-z0-9\' ']/", $_POST['user_name']))$no_user = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
				else if(mb_strlen($_POST['user_name'], 'UTF-8') >=20) $no_user = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 20 χαρακτήρες!</h3>';
				else if (invalid_char($_POST['user_name']) <> null) $no_user = invalid_char($_POST['user_name']);
				else $insert2 = true;
				if($insert1 && $insert2 && $insert3<>0){					
					/* ========== Κρατάει το μήνυμα ================ */
					$_SESSION['message']="$".$user_name."%".$message;
					$_SESSION['light']=$_POST['light'];
					$_SESSION['date']=$date;
					/* ============================================= */
					
					/* =================== Αν είναι ο ίδιος χρήστης =============================================================== */
					if(isset($_SESSION['ip'])){
						if($_SESSION['ip'] == $_SERVER["REMOTE_ADDR"]){
							$_SESSION['count']++;
							/* ========================== Αν έχει στείλει πάνω απο 5 μνματα σε λιγότερο από ένα λεπτό ====================================== */
							date_default_timezone_set('Europe/Athens');
							if(($_SESSION['count'] >= 5) && (strtotime(date('Y-m-d H:i:s')) - strtotime(get('date','message','id',$_SESSION['last_insert_id'],'one'))<=60)){
								/* Redirect to captcha */
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&captcha=false\"', 0000)</script>";
							}
							else if(strtotime(date('Y-m-d H:i:s')) - strtotime(get('date','message','id',$_SESSION['last_insert_id'],'one'))>60){
								$_SESSION['count'] = 0;
								if(!empty($devices_r) && !empty($groups_r)){
									echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2\"', 0000)</script>";
								}
								else if(empty($devices_r) && !empty($groups_r)){
									echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=groups\"', 0000)</script>";			
								}
								else if(!empty($devices_r) && empty($groups_r)){
									echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=devices\"', 0000)</script>";			
								}
							}
							else if($_SESSION['count'] < 5){
								if(!empty($devices_r) && !empty($groups_r)){
									echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2\"', 0000)</script>";
								}
								else if(empty($devices_r) && !empty($groups_r)){
									echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=groups\"', 0000)</script>";			
								}
								else if(!empty($devices_r) && empty($groups_r)){
									echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=devices\"', 0000)</script>";			
								}							
							}
						}
						else{
							$_SESSION['ip'] = $_SERVER["REMOTE_ADDR"];
							$_SESSION['count'] = 0;
							if(!empty($devices_r) && !empty($groups_r)){
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2\"', 0000)</script>";
							}
							else if(empty($devices_r) && !empty($groups_r)){
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=groups\"', 0000)</script>";			
							}
							else if(!empty($devices_r) && empty($groups_r)){
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=devices\"', 0000)</script>";			
							}
						}
					}
					/* ======================================== Αν είναι νέος χρήστης ===================================== */
					else {
						$_SESSION['ip'] = $_SERVER["REMOTE_ADDR"];
						$_SESSION['count'] = 0;
						if(!empty($devices_r) && !empty($groups_r)){
							echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2\"', 0000)</script>";
						}
						else if(empty($devices_r) && !empty($groups_r)){
							echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=groups\"', 0000)</script>";			
						}
						else if(!empty($devices_r) && empty($groups_r)){
							echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&choice=devices\"', 0000)</script>";			
						}
					}
					/* ===================================================================================================== */
					/*echo 'id='.$_SESSION['last_insert_id'].'<br/>';
					echo 'count='.$_SESSION['count'].'<br/>';
					echo 'ses_ip='.$_SESSION['ip'].'<br/>';
					echo 'rem_add='.$_SERVER["REMOTE_ADDR"].'<br/>';
					echo 'delay='.strtotime(date('Y-m-d H:i:s')) - strtotime(get('date','message','id',$_SESSION['last_insert_id'],'one')).'<br/>';*/	
			
				}
			}
			$maxlength = max_length();
			$form = '
				<form method="post" name="form" action="index.php?public_message&amp;step=1" accept-charset="utf-8" class="more_left_8 width">
				<input type="hidden" value="'.$maxlength.'" id="max_length" />	
				<h4>Μπορείτε να εισάγετε ακόμα: <span id="text_counter">'.(intval($maxlength)-16).'</span> χαρακτήρες</h4>
<textarea name="message" id="message" class="area" maxlength="'.$maxlength.'" required>'.$message.'</textarea>
				<span id="m_validate" class="more_left_m">'.$no_message.'</span>
					
<ol class="hh2">
<li>
<h3>
Επιτρέπονται μόνο λατινικοί χαρακτήρες, αριθμοί και τα σύμβολα: 
&nbsp;\&nbsp;&nbsp;/&nbsp;&nbsp;\'&nbsp;&nbsp;(&nbsp;&nbsp;)&nbsp;&nbsp;=&nbsp;&nbsp;<&nbsp;&nbsp;>&nbsp;&nbsp;+&nbsp;&nbsp;-&nbsp;&nbsp;_&nbsp;&nbsp;,&nbsp;&nbsp;!&nbsp;&nbsp;?&nbsp;&nbsp;;&nbsp;&nbsp;:&nbsp;&nbsp;.&nbsp;&nbsp;!
</h3>
</li>
</ol>
<ol class="hh2">
	<li><label for="field1">Αποστολέας:&nbsp;</label></li>
	<li><input type="text" onblur="f_name_validator3(); check_m2(); check_date();" id="field1" class="field" name="user_name" value="'.$user_name.'" required/></li>
	<li><span id="f_name">'.$no_user.'</span></li>
</ol>
<ol class="hh2">
<li>
	<label for="date">Ενεργοποίηση: </label>
</li>
<li>
<img style="cursor:help" src="images/Question.png" alt="help" title="Επίλεξτε το πότε θέλετε να ενεργοποίησετε το μήνυμα. 
Το πεδίο δεν είναι υποχρεωτικό.">
<img alt="calendar" title="Κάντε κλικ για να εισάγετε ημερομηνία ενεργοποίησης του μηνύματος" src="images/Calendar.png" onclick="javascript:NewCssCal (\'date\',\'yyyyMMdd\',\'arrow\',true,\'24\',true)" style="cursor:pointer"/>
<img alt="delete" title="Κάντε κλικ για να διαγράψετε την ημερομηνία ενεργοποίησης του μηνύματος" src="images/Cancel.png" onclick="clearText();" style="cursor:pointer"/>&nbsp;

<input type="text" readonly="readonly" onchange="check_date();" id="date" class="field4" name="date_activate" value="'.$date.'"/>
</li>
<li>
	<span id="date_validate">'.$no_date.'</span>
</li>
</ol>
<table>				
					<tr>
						<td><h2>Φωτεινή ειδοποίηση:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" onclick="message2();" name="light" value="yes" '.$light_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" onclick="message2();" name="light" value="no" '.$light_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
					<td></td>
						<td>
		<input type="submit" name="continue" id="submit" class="disable" onclick="message2();" value="Συνέχεια">
						
						
						</td>
						<td></td>
					</tr>
				</table>
			</form>'.$msg;
			echo $form."</div>";
		}
		else if(isset($_GET['step']) && $_GET['step']==2){
			if(isset($_GET['captcha']) && $_GET['captcha']=='false'){
		echo'
		<br />
		<br />
			<ul id="tabs">
				<li><span>Νέο μήνυμα</span></li>
				<li id="current"><span>Έλεγχος anti-spam</span></li>';
				if(!empty($devices_r) && !empty($groups_r)){
					echo '<li><span>Αποστολή σε ομάδες ή συσκευές</span></li>';
					echo '<li><span>Επιλογή ομάδων ή συσκευών</span></li>';
				}
				else if(empty($devices_r) && !empty($groups_r)){
					echo '<li><span>Επιλογή δημοσίων ομάδων </span></li>';			
				}
				else if(!empty($devices_r) && empty($groups_r)){
					echo '<li><span>Επιλογή δημοσίων συσκευών </span></li>';			
				}				
			echo '
			</ul>
			<div id="content">';
					require_once('php/recaptchalib.php');
					// Get a key from http://recaptcha.net/api/getkey
					$publickey = "6Ldx-9ASAAAAAN4TXWMOsUFItSoeC_avJRmzbKa5";
					$privatekey = "6Ldx-9ASAAAAAKBd2muCcKV8ugtL6wMC2keP0003";
					echo "
					<script>
					var RecaptchaOptions = {
					   theme : 'clean'
					};
					</script>";
					$msg = null;
					if (isset($_POST["captcha"])) {
						$response = recaptcha_check_answer($privatekey,$_SERVER["REMOTE_ADDR"],$_POST["recaptcha_challenge_field"],$_POST["recaptcha_response_field"]);
						if ($response->is_valid) {
							$_SESSION['valid'] = true;
							if(!empty($devices_r) && !empty($groups_r)){
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&captcha=true\"', 0000)</script>";
							}
							else if(empty($devices_r) && !empty($groups_r)){
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&captcha=true&choice=groups\"', 0000)</script>";			
							}
							else if(!empty($devices_r) && empty($groups_r)){
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&captcha=true&choice=devices\"', 0000)</script>";			
							}
						}
						else{
							$_SESSION['valid'] = false;
							$msg = '<div id="msg_error" class="more_left_2">Προσπαθήστε ξανά!</div>';
						}
					}
					echo '<h1 class="center">Υπερβήκατε το όριο των 5 μηνυμάτων σε ένα λεπτό!</h1><hr /><br />';
					echo '<form method="post" accept-charset="utf-8" class="more_left_2">'.
					recaptcha_get_html($publickey, $error).'<br />
					<input type="submit" class="button more_left_6" value="Συνέχεια" name="captcha"/>
					</form><br />'.$msg.'</div>';			
			}
			else if((isset($_GET['captcha']) && $_GET['captcha']=='true') && (!$_SESSION['valid'])){
				echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=2&captcha=false\"', 0000)</script>";
			}
			else if(((isset($_GET['captcha']) && $_GET['captcha']=='true') && ($_SESSION['valid'])) || (!isset($_GET['captcha']))){
				if(isset($_SESSION['message']) && !empty($_SESSION['message'])){
				
				
				if(isset($_GET['choice']) && $_GET['choice']=="groups"){
					echo'
					<br />
					<br />
						<ul id="tabs">
							<li><span>Νέο μήνυμα</span></li>';
						if(!empty($devices_r) && !empty($groups_r)){
							echo '<li><span>Αποστολή σε συσκευές</span></li>';
							echo '<li id="current"><span>Επιλογή ομάδων</span></li>';
						}
						else if(empty($devices_r) && !empty($groups_r)){
							echo '<li><span>Επιλογή ομάδων </span></li>';			
						}
							
						echo '
						</ul>
						<div id="content">';
						echo '
					<form method="post" accept-charset="utf-8" class="more_left_9">
					<table id="gradient-style">
						<thead>
						<tr>
							<th scope="col" class="width_td">Όνομα ομάδας</th>
							<th scope="col">Επιλογή</th>
						</tr>
						</thead>
						<tbody>';
						$i=0;
						foreach($groups_r as $row){
							$name="id".$i;
							if(get('','device','',$row,'all')<>null){
								echo'
								<tr>
									<td>'.get('g_name','groups','id',$row,'one').'</td>
									<td><input type="checkbox" name="'.$name.'" value="'.$row.'"/></td>
								</tr>';
							}
							$i++;
						}
						
					echo '
						<tbody>
					</table><br />
					<input type="submit" name="submit" class="button" value="Αποστολή">
					</form>';
					if(isset($_POST['submit'])){
						$i=0;
						$count=0;
						$arr=array();
						foreach($groups_r as $row){
							$name="id".$i;
							if (isset($_POST[$name]) && $_POST[$name]==$row){
								$arr[$count]=$row;
								$count++;
							}
							$i++;
						}
						if($count==0){
							echo '<br /><div id="msg_error" class="more_left_2">Πρέπει να επιλέξετε ομάδες!</div>';
						}
						else if($count>0){
							if(insert('message_by_groups',$_SESSION['message'],'no','no',$_SESSION['light'],$arr,$_SESSION['date'])){
								echo '<br /><div id="msg_ok" class="more_left_2">Η αποστολή έγινε με επιτυχία!</div>'; 
								unset($_SESSION['message']);
								unset($_SESSION['light']);
								unset($_SESSION['date']);							
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=1\"', 3000)</script>";
							}
							else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div>';
						}
					}
				
				
				
				}
				else if(isset($_GET['choice']) && $_GET['choice']=="devices"){
		echo'
		<br />
		<br />
			<ul id="tabs">
				<li><span>Νέο μήνυμα</span></li>';
			if(!empty($devices_r) && !empty($groups_r)){
				echo '<li><span>Αποστολή σε συσκευές</span></li>';
				echo '<li id="current"><span>Επιλογή συσκευών</span></li>';
			}
			else if(empty($devices_r) && !empty($groups_r)){
				echo '<li><span>Επιλογή δημοσίων ομάδων </span></li>';			
			}
			else if(!empty($devices_r) && empty($groups_r)){
				echo '<li id="current"><span>Επιλογή δημοσίων συσκευών </span></li>';			
			}
				
			echo '
			</ul>
			<div id="content">';
					echo '
					<form method="post" accept-charset="utf-8" class="more_left_9">
					<table id="gradient-style">
						<thead>
						<tr>
							<th scope="col" class="width_td">Όνομα συσκευής</th>
							<th scope="col">Επιλογή</th>
						</tr>
						</thead>
						<tbody>';
						$i=0;
						foreach($devices_r as $row){
							$name="id".$i;
							echo'
							<tr>
								<td>'.$row['id'].'</td>
								<td><input type="checkbox" name="'.$name.'" value="'.$row['id'].'"/></td>
							</tr>';
							$i++;
						}
					echo '
						<tbody>
					</table><br />
					<input type="submit" name="submit" class="button" value="Αποστολή">
					</form>';
					if(isset($_POST['submit'])){
						$i=$count=0;
						$arr=array();
						foreach($devices_r as $row){
							$name="id".$i;
							if (isset($_POST[$name]) && $_POST[$name]==$row['id']){
								$arr[$count]=$row['id'];
								$count++;
							}
							$i++;
						}
						if($count==0){
							echo '<br /><div id="msg_error" class="more_left_2">Πρέπει να επιλέξετε συσκευές!</div>';
						}
						else if($count>0){
							if(insert('message_by_devices',$_SESSION['message'],'no','no',$_SESSION['light'],$arr,$_SESSION['date'])){ 
								echo '<br /><div id="msg_ok" class="more_left_2">Η αποστολή έγινε με επιτυχία!</div>'; 
								unset($_SESSION['message']);
								unset($_SESSION['light']);
								unset($_SESSION['date']);
								echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=1\"', 2000)</script>";
							}
							else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div>';
						}
					}
				}
				else{				
		echo'
		<br />
		<br />
			<ul id="tabs">
				<li><span>Νέο μήνυμα</span></li>';
				echo '<li id="current"><span>Αποστολή σε ομάδες ή συσκευές</span></li>';
				echo '<li><span>Επιλογή ομάδων ή συσκευών</span></li>';
			echo '
			</ul>
			<div id="content">
				<h1 class="more_left_2">Επιλέξτε να στείλετε μήνυμα σε:</h1><hr />
	<br /><br /><br />
	<div id="choose">
		<a href="index.php?public_message&amp;step=2&amp;choice=groups" class="more_left_2 button choice">Ομάδες</a>
		<a href="index.php?public_message&amp;step=2&amp;choice=devices" class="more_left_3 button choice">Συσκευές</a>
	</div>
	<br /><br /><br /><br />
	<hr />';
				}
				echo '</div>';
				}
				else{
					echo '<br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε μήνυμα!</div>';
					echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=1\"', 2000)</script>";
				}
			}
		}
		if(isset($_GET['step']) && ($_GET['step']<>1 && $_GET['step']<>2)){echo "<script>setTimeout('window.location.href=\"index.php?public_message&step=1\"', 0000)</script>";}
	}
	else{
		echo '
		<br />
		<br />
			<ul id="tabs">
				<li id="current"><span>Νέο μήνυμα</span></li>
			</ul>
			<div id="content"><br /><div id="msg_error" class="more_left_2">Δεν υπάρχουν δημόσια ορατές ομάδες ή συσκευές!</div><br />
		</div>';
		echo "<script>setTimeout('window.location.href=\"index.php\"', 2000)</script>"; 
	}
	html_footer();
}
else {
	html_header('Είσοδος χρήστη');
	$name = $checked = $error = '';
	if(isset($_POST['checkbox']))$checked = "checked";
	if(isset($_POST['username']))$name = $_POST['username'];
	if(!isset($_POST['submit']) && empty($_POST['username'])&& empty($_POST['password'])){
		echo form_log_in($name, $checked, $error);
	}
	else{
		$c_username = clean($_POST['username']);
		$c_password = clean($_POST['password']);	
		$c_password = sha1($c_password.'ekdhlos');	
			echo "
			<script>
			var RecaptchaOptions = {
			   theme : 'clean'
			};
			</script>";		
		
		/* Έλεγχος captcha */
		if (isset($_SESSION['captcha']) && $_SESSION['captcha']==true){		
			require_once('php/recaptchalib.php');
			$privatekey = "6Ldx-9ASAAAAAKBd2muCcKV8ugtL6wMC2keP0003";
			$response = recaptcha_check_answer($privatekey,$_SERVER["REMOTE_ADDR"],$_POST["recaptcha_challenge_field"],$_POST["recaptcha_response_field"]);
			if ($response->is_valid) {
				$go = true;
			}
			else{
				$go = false;
			}	
			if ((check("users", $c_username, $c_password) == 1) && ($go == true)){
				$enable = get('enable','users','email',$c_username,'one');
				if($enable=="yes"){
					$_SESSION['ekdhlos_username'] = $c_username;
					$_SESSION['ekdhlos_password'] = $c_password;
					$_SESSION['ekdhlos_level'] = get('level','users','email',$c_username,'one');
					$_SESSION['ekdhlos_f_name'] = get('f_name','users','email',$c_username,'one');
					$_SESSION['ekdhlos_l_name'] = get('l_name','users','email',$c_username,'one');
					$_SESSION['ekdhlos_userid'] = get('id','users','email',$c_username,'one');		
					if(isset($_POST['checkbox']) && $_POST['checkbox'] == 1){
						setcookie("username",$c_username, time()+3600*24);
						setcookie("password",$c_password, time()+3600*24);
						setcookie("userid",$_SESSION['ekdhlos_userid'], time()+3600*24);
						setcookie("level",$_SESSION['ekdhlos_level'], time()+3600*24);
						setcookie("f_name",$_SESSION['ekdhlos_f_name'], time()+3600*24);
						setcookie("l_name",$_SESSION['ekdhlos_l_name'], time()+3600*24);
					}	
					if(isset($_SESSION['user_ip'])){
						unset($_SESSION['user_ip']);
					}
					unset($_SESSION['captcha']);
					unset($_SESSION['error']);
					echo "<script>setTimeout('window.location.href=\"php/main.php\"', 0000)</script>";
				}	
				else{
					$error = '<h3 class="error_login">Ο λογαριασμός σας είναι ανενεργός!</h3>';
					form_log_in($name, $checked, $error, "captcha");
				}
			}
			else{
				$error = '<h3 class="error_login">Σφάλμα! Δώσατε λαναθασμένα στοιχεία πάνω από 3 φορές!</h3>';
				form_log_in($name, $checked, $error, "captcha");				
			}
		}
		else{
			if (check("users", $c_username, $c_password) == 1){
				$enable = get('enable','users','email',$c_username,'one');
				if($enable=="yes"){
					$_SESSION['ekdhlos_username'] = $c_username;
					$_SESSION['ekdhlos_password'] = $c_password;
					$_SESSION['ekdhlos_level'] = get('level','users','email',$c_username,'one');
					$_SESSION['ekdhlos_f_name'] = get('f_name','users','email',$c_username,'one');
					$_SESSION['ekdhlos_l_name'] = get('l_name','users','email',$c_username,'one');
					$_SESSION['ekdhlos_userid'] = get('id','users','email',$c_username,'one');		
					if(isset($_POST['checkbox']) && $_POST['checkbox'] == 1){
						setcookie("username",$c_username, time()+3600*24);
						setcookie("password",$c_password, time()+3600*24);
						setcookie("userid",$_SESSION['ekdhlos_userid'], time()+3600*24);
						setcookie("level",$_SESSION['ekdhlos_level'], time()+3600*24);
						setcookie("f_name",$_SESSION['ekdhlos_f_name'], time()+3600*24);
						setcookie("l_name",$_SESSION['ekdhlos_l_name'], time()+3600*24);
					}	
					if(isset($_SESSION['user_ip'])){
						unset($_SESSION['user_ip']);
					}
					unset($_SESSION['error']);
					echo "<script>setTimeout('window.location.href=\"php/main.php\"', 0000)</script>";
				}	
				else{
					$error = '<h3 class="error_login">Ο λογαριασμός σας είναι ανενεργός!</h3>';
					form_log_in($name, $checked, $error);
				}
			}
			else{
				if(isset($_SESSION['user_ip'])){
					$_SESSION['error']++;
				}
				else{
					$_SESSION['user_ip'] = $_SERVER["REMOTE_ADDR"];
					$_SESSION['error'] = 0;
				}
				if($_SESSION['error']<=3){
					$error = '<h3 class="error_login">Σφάλμα! Δοκιμάστε ξανά!</h3>';
					form_log_in($name, $checked, $error);
				}
				else{
					$_SESSION['captcha'] = true;
					$error = '<h3 class="error_login">Σφάλμα! Δώσατε λαναθασμένα στοιχεία πάνω από 3 φορές!</h3>';
					form_log_in($name, $checked, $error, "captcha");
				}
			}
		}
	}	
	html_footer();
}

}
?>